package dimatura;
import iic2132.INavigator;
import iic2132.World;

/**
 * @author dimatura
 *
 */
public class GreedyNavigator implements INavigator {

	@Override
	public int navigate(char[] surroundings, int direction) {		
		if (surroundings[direction]!=World.OBSTACLE) {
			return direction;
		}
		// else go in the first unblocked direction
		for (int i=direction; i < surroundings.length; ++i) {
			if (surroundings[i%surroundings.length] != World.OBSTACLE) {
				return i;
			}
		}
		// if we got here, we're trapped.
		return 0;
	}

}
