package dimatura;
import iic2132.*;
import java.util.Random;

/**
 * @author dimatura
 *
 */
public class RandomNavigator implements INavigator {
	Random rand = new Random();
	
	@Override
	public int navigate(char[] surroundings, int direction) {
		// half greedy half random
		if (surroundings[direction]==World.EMPTY && rand.nextDouble() > 0.5) {
			return direction;
		}
		return rand.nextInt(surroundings.length);		
	}

}
