package iic2132;


/**
 * @author dimatura
 *
 */
public class Position {
	public int row;
	public int col;
	
	public char content;
	public int visits;
	public int goalDirection;
	
	public Position(int row, int col) {
		this.row = row;
		this.col = col;

		this.content = World.EMPTY;
		this.visits = 0;
	}
	
	public boolean Visited() 
	{
		return (this.visits > 0);
	}

	public boolean Unvisited() 
	{
		return (this.visits == 0);
	}
	
	public boolean IsGoal() 
	{
		return this.content == World.GOAL;
	}
	
	public boolean IsObstacle() 
	{
		return this.content == World.OBSTACLE;
	}
	
	public boolean IsEmpty() 
	{
		return this.content == World.EMPTY;
	}
}
