package iic2132;


/**
 * @author dimatura
 *
 */
public class Simulator {
	INavigator navigator;
	World maze;
	
	public Simulator(INavigator navigator, World maze) {
		this.navigator = navigator;
		this.maze = maze;
	}
	
	public int go(int maxSteps) {
		int steps;
		for (steps=0; steps < maxSteps; ++steps) {
			char s[] = maze.surroundings();
			int goaldir = maze.goalDirection();
			int direction = navigator.navigate(s, goaldir);
			maze.moveRobot(direction);
			if (maze.robotAtGoal()) {
				return steps;
			}			
		}
		return steps;
	}

}
